# Uses of Class
org.springframework.aop.framework.ProxyFactory

Packages that use ProxyFactory
Package
Description
org.springframework.aop.framework
Package containing Spring's basic AOP infrastructure, compliant with the AOP Alliance interfaces.
org.springframework.aop.framework.autoproxy
Bean post-processors for use in ApplicationContexts to simplify AOP usage by automatically creating AOP proxies without the need to use a ProxyFactoryBean.

## Uses of ProxyFactory in org.springframework.aop.framework

Methods in org.springframework.aop.framework that return ProxyFactory
Modifier and Type
Method
Description
`protected ProxyFactory`
AbstractAdvisingBeanPostProcessor.`prepareProxyFactory(Object bean, String beanName)`
Prepare a `ProxyFactory` for the given bean.
Methods in org.springframework.aop.framework with parameters of type ProxyFactory
Modifier and Type
Method
Description
`protected void`
AbstractAdvisingBeanPostProcessor.`customizeProxyFactory(ProxyFactory proxyFactory)`
Subclasses may choose to implement this: for example, to change the interfaces exposed.
`protected void`
ProxyProcessorSupport.`evaluateProxyInterfaces(Class<?> beanClass, ProxyFactory proxyFactory)`
Check the interfaces on the given bean class and apply them to the `ProxyFactory`, if appropriate.
`protected void`
AbstractSingletonProxyFactoryBean.`postProcessProxyFactory(ProxyFactory proxyFactory)`
A hook for subclasses to post-process the `ProxyFactory` before creating the proxy instance with it.

## Uses of ProxyFactory in org.springframework.aop.framework.autoproxy

Methods in org.springframework.aop.framework.autoproxy that return ProxyFactory
Modifier and Type
Method
Description
`protected ProxyFactory`
AbstractBeanFactoryAwareAdvisingPostProcessor.`prepareProxyFactory(Object bean, String beanName)`
Methods in org.springframework.aop.framework.autoproxy with parameters of type ProxyFactory
Modifier and Type
Method
Description
`protected void`
AbstractAutoProxyCreator.`customizeProxyFactory(ProxyFactory proxyFactory)`
Subclasses may choose to implement this: for example, to change the interfaces exposed.